function [n_vzorek vzorku_celkem realna_perioda_vz] = prepocet_perioda_vzorkovani(perioda_gen_zaklad, perioda_gen_posun, perioda_vz)
% spocita udaje nutne pro zpracovani zotavovacich dob, zejmena pocet
% vzorku, ktere je treba nasnimat, kolikaty vzorek je treba z dat vybrat a
% take realnou frekvenci vzorkovani
% kvuli presnosti nutno periody zadavat v ns jako cela cisla
% vystupni perioda je ale v ns

perioda_gen = perioda_gen_zaklad + perioda_gen_posun;
frekvence_gen = 1/perioda_gen;

frekvence_vz = 1/perioda_vz;

n_vzorek = perioda_gen_zaklad / perioda_vz;
nasobitel = 1;
n = 0;
while floor(n_vzorek) ~= ceil(n_vzorek)
    nasobitel = nasobitel + 1;
    n_vzorek = nasobitel * perioda_gen_zaklad / perioda_vz;
    % nelze najit
    if n >= 10
        % vymyslet vysledky
        n_vzorek = 0;
        vzorku_celkem = 0;
        realna_perioda_vz = 0;
        return;
    end
    n = n + 1;
end

%n_vzorek

realna_perioda_vz = (perioda_gen - perioda_gen_zaklad) * nasobitel;

vzorku_celkem = n_vzorek * perioda_gen_zaklad / realna_perioda_vz;

% prepocitani na ns
realna_perioda_vz = realna_perioda_vz * 1e-9;